package org.apache.geronimo.samples.bank.ejb;

import java.util.Collection;

import javax.persistence.PersistenceUnit;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

@Stateless
public class BankManagerFacadeBean implements BankManagerFacadeLocal {

	@PersistenceUnit(unitName="BankPU")
	protected EntityManagerFactory emf;

	public BankManagerFacadeBean() {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.apache.geronimo.samples.bank.ejb.BankManagerFacade#getAccountInformation(java.lang.String)
	 */
	public Collection<Account> getAccountInformation(String customerId) {
		Customer customer = getCustomer(customerId);
		if(customer != null) {
			return customer.getAccountCollection();
		}
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.apache.geronimo.samples.bank.ejb.BankManagerFacade#getCustomer(java.lang.String)
	 */
	public Customer getCustomer(String customerId) {
		EntityManager em = emf.createEntityManager();
		Customer customer = (Customer)em.find(Customer.class, customerId);
		em.close();
		return customer;
	}
}
