package org.apache.geronimo.samples.bank.web;

import java.io.IOException;
import java.util.Collection;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.geronimo.samples.bank.ejb.Account;
import org.apache.geronimo.samples.bank.ejb.BankManagerFacadeLocal;
import org.apache.geronimo.samples.bank.ejb.Customer;

/**
 * Servlet implementation class for Servlet: CustomerServiceServlet
 * 
 */
public class CustomerServiceServlet extends javax.servlet.http.HttpServlet
		implements javax.servlet.Servlet {
	static final long serialVersionUID = 1L;

	@EJB
	private BankManagerFacadeLocal bm = null;

	/*
	 * (non-Java-doc)
	 * 
	 * @see javax.servlet.http.HttpServlet#HttpServlet()
	 */
	public CustomerServiceServlet() {
		super();
	}

	/*
	 * (non-Java-doc)
	 * 
	 * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest request,
	 *      HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String path = "/jsp/error.jsp";
		String customerCode = request.getParameter("customerCode");

		Collection<Account> accountList = bm.getAccountInformation(customerCode);
		Customer customer = bm.getCustomer(customerCode);

		if (accountList != null && customer != null) {
			request.setAttribute("accountList", accountList);
			request.setAttribute("customerCode", customerCode);
			request.setAttribute("customerName", customer.getName());
			path = "/jsp/customer_info.jsp";
		}
		getServletContext().getRequestDispatcher(path).forward(request, response);
	}

	/*
	 * (non-Java-doc)
	 * 
	 * @see javax.servlet.http.HttpServlet#doPost(HttpServletRequest request,
	 *      HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}
}